< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs105
  Definition Classes
    accounts
-  package retriever
  Definition Classes
    frs105
- Frs105AccountsBoxRetriever

t

uk.gov.hmrc.ct.accounts.frs105.retriever

# Frs105AccountsBoxRetriever 

###

#### trait Frs105AccountsBoxRetriever extends Frs10xAccountsBoxRetriever

Self Type
  Frs105AccountsBoxRetriever with FilingAttributesBoxValueRetriever

Linear Supertypes
Frs10xAccountsBoxRetriever, AccountsBoxRetriever, BoxRetriever, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Frs105AccountsBoxRetriever
2. Frs10xAccountsBoxRetriever
3. AccountsBoxRetriever
4. BoxRetriever
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def ac1(): AC1
   Definition Classes
     AccountsBoxRetriever
2.  abstract def ac12(): AC12
   Definition Classes
     AccountsBoxRetriever
3.  abstract def ac13(): AC13
4.  abstract def ac2(): AC2
   Definition Classes
     AccountsBoxRetriever
5.  abstract def ac205(): AC205
   Definition Classes
     AccountsBoxRetriever
6.  abstract def ac206(): AC206
   Definition Classes
     AccountsBoxRetriever
7.  abstract def ac3(): AC3
   Definition Classes
     AccountsBoxRetriever
8.  abstract def ac34(): AC34
9.  abstract def ac35(): AC35
10.  abstract def ac4(): AC4
    Definition Classes
      AccountsBoxRetriever
11.  abstract def ac401(): AC401
    Definition Classes
      AccountsBoxRetriever
12.  abstract def ac402(): AC402
    Definition Classes
      AccountsBoxRetriever
13.  abstract def ac403(): AC403
    Definition Classes
      AccountsBoxRetriever
14.  abstract def ac404(): AC404
    Definition Classes
      AccountsBoxRetriever
15.  abstract def ac405(): AC405
16.  abstract def ac406(): AC406
17.  abstract def ac410(): AC410
18.  abstract def ac411(): AC411
19.  abstract def ac415(): AC415
    Definition Classes
      AccountsBoxRetriever
20.  abstract def ac416(): AC416
21.  abstract def ac420(): AC420
22.  abstract def ac421(): AC421
23.  abstract def ac425(): AC425
24.  abstract def ac426(): AC426
25.  abstract def ac450(): AC450
26.  abstract def ac451(): AC451
27.  abstract def ac455(): AC455
28.  abstract def ac456(): AC456
29.  abstract def ac460(): AC460
30.  abstract def ac461(): AC461
31.  abstract def ac465(): AC465
32.  abstract def ac466(): AC466
33.  abstract def ac470(): AC470
34.  abstract def ac471(): AC471
35.  abstract def ac490(): AC490
36.  abstract def ac491(): AC491
37.  abstract def ac58(): AC58
38.  abstract def ac59(): AC59
39.  abstract def ac64(): AC64
40.  abstract def ac65(): AC65
41.  abstract def ac66(): AC66
42.  abstract def ac67(): AC67
43.  abstract def ac7991(): AC7991
44.  abstract def ac7992(): AC7992
45.  abstract def ac7995(): AC7995
46.  abstract def ac7997(): AC7997
47.  abstract def ac7998(): AC7998
48.  abstract def ac7999(): AC7999
49.  abstract def ac7999a(): AC7999a
50.  abstract def ac8081(): AC8081
    Definition Classes
      Frs10xAccountsBoxRetriever
51.  abstract def ac8082(): AC8082
    Definition Classes
      Frs10xAccountsBoxRetriever
52.  abstract def ac8083(): AC8083
    Definition Classes
      Frs10xAccountsBoxRetriever
53.  abstract def ac8087(): AC8087
54.  abstract def ac8088(): AC8088
    Definition Classes
      Frs10xAccountsBoxRetriever
55.  abstract def cato24(): CATO24
    Definition Classes
      AccountsBoxRetriever
56.  abstract def companyAddress(): CompanyAddress
    Definition Classes
      AccountsBoxRetriever
57.  abstract def generateValues: Map[String, CtValue[_]]
    Definition Classes
      BoxRetriever

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ac435(): AC435
5.  def ac436(): AC436
6.  def ac60(): AC60
7.  def ac61(): AC61
8.  def ac62(): AC62
9.  def ac63(): AC63
10.  def ac68(): AC68
11.  def ac69(): AC69
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]
    Definition Classes
      BoxRetriever
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Frs10xAccountsBoxRetriever

### Inherited from AccountsBoxRetriever

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped